## griffith 0.9.2

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,13 @@
 # Griffith makefile
-
-# (c) 2005 Vasco Nunes
 #
-
-# $Id: Makefile 386 2006-07-27 10:06:03Z piotrek $
+# (c) 2005-2007 Vasco Nunes, Piotr Ozarowski
+#
+# $Id: Makefile 674 2007-01-05 23:01:29Z piotrek $
 
 PACKAGE=griffith
-LANGUAGES=$(shell find i18n/ -maxdepth 1 -mindepth 1 -type d -printf "%f ")
+LANGUAGES=$(shell find i18n/ -maxdepth 1 -mindepth 1 -type d -not -name \.svn -printf "%f ")
 VERSION=$(shell grep "^pversion" lib/version.py | cut -d \"  -f 2)
-TEMPLATES= $(shell cd data/export_templates >/dev/null; $(FIND) . -maxdepth 1 -mindepth 1 -type d -name "[^\.svn]*" -print)
+TEMPLATES= $(shell cd export_templates >/dev/null; $(FIND) . -maxdepth 1 -mindepth 1 -type d -name "[^\.svn]*" -print)
 
 .PHONY: help clean freshmeat gnomefiles install
 
@@ -19,6 +18,7 @@
 MSGMERGE ?= msgmerge
 XGETTEXT ?= xgettext
 FIND ?= find
+DOC2MAN ?= docbook2x-man
 
 PREFIX = $(DESTDIR)/usr
 BINDIR = $(PREFIX)/bin
@@ -26,9 +26,10 @@
 LIBDIR = $(DATADIR)/lib
 IMAGESDIR = $(DATADIR)/images
 GLADEDIR = $(DATADIR)/glade
-PLUGINSDIR = $(DATADIR)/plugins
+PLUGINSDIR = $(LIBDIR)/plugins
 MOVIEPLUGINSDIR = $(PLUGINSDIR)/movie
 EXPORTPLUGINSDIR = $(PLUGINSDIR)/export
+IMPORTPLUGINSDIR = $(PLUGINSDIR)/imp
 TPLDIR = $(DATADIR)/export_templates
 APPLICATIONSDIR = $(PREFIX)/share/applications
 ICONDIR = $(PREFIX)/share/pixmaps
@@ -50,12 +51,14 @@
 	@echo "installing Griffith"
 	@echo "^^^^^^^^^^^^^^^^^^^"
 	$(INSTALL) -m 755 -d $(BINDIR) $(DATADIR) $(LIBDIR) $(PLUGINSDIR) $(MOVIEPLUGINSDIR) \
-		$(EXPORTPLUGINSDIR) $(FONTSDIR) $(APPLICATIONSDIR) $(ICONDIR) $(TPLDIR) \
-		$(IMAGESDIR) $(GLADEDIR)
+		$(EXPORTPLUGINSDIR) $(IMPORTPLUGINSDIR) $(FONTSDIR) $(APPLICATIONSDIR) \
+		$(ICONDIR) $(TPLDIR) $(IMAGESDIR) $(GLADEDIR)
 	$(INSTALL) -m 755 griffith $(LIBDIR)
 	$(INSTALL) -m 644 lib/*.py $(LIBDIR)
+	$(INSTALL) -m 644 lib/plugins/*.py $(PLUGINSDIR)
 	$(INSTALL) -m 644 lib/plugins/movie/*.py $(MOVIEPLUGINSDIR)
 	$(INSTALL) -m 644 lib/plugins/export/*.py $(EXPORTPLUGINSDIR)
+	$(INSTALL) -m 644 lib/plugins/imp/*.py $(IMPORTPLUGINSDIR)
 	$(INSTALL) -m 644 glade/*.glade $(GLADEDIR)
 	$(INSTALL) -m 644 glade/*.png $(GLADEDIR)
 	$(INSTALL) -m 644 images/*.png $(IMAGESDIR)
@@ -72,7 +75,7 @@
 	# installing export templates:
 	for dir in $(TEMPLATES); do \
 		${INSTALL} -m 755 -d  ${TPLDIR}/$$dir; \
-		${FIND} data/export_templates/$$dir -maxdepth 1 -type f \
+		${FIND} export_templates/$$dir -maxdepth 1 -type f \
 			-exec ${INSTALL} -m 644 '{}' ${TPLDIR}/$$dir \;; \
 	done
 	
@@ -104,7 +107,7 @@
 	$(MAKE) -C docs uninstall
 	
 clean:
-	${RM} *.pyc *.bak po/*.~ glade/*~ glade/*.bak lib/*.pyc *~ lib/*~ lib/plugins/movie/*~ lib/plugins/export/*~
+	${FIND} . \( -iname '*\.py[co]' -or -iname '*~' -or -iname '*\.bak' \) -exec ${RM} '{}' \;
 	
 freshmeat:
 	firefox http://freshmeat.net/add-release/54772/ &
@@ -112,7 +115,7 @@
 gnomefiles:
 	firefox http://www.gnomefiles.org/devs/newversion.php?soft_id=965 &
 	
-dist:
+dist: clean
 	@tar --exclude=*.svn* --exclude=*.tar* --exclude=debian -cf griffith.tar ./
 	@mkdir $(PACKAGE)-$(VERSION)
 	@tar -xf griffith.tar -C $(PACKAGE)-$(VERSION)
