## griffith 0.9.6

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Griffith makefile
 #
-# (c) 2005-2007 Vasco Nunes, Piotr Ozarowski
+# (c) 2005-2008 Vasco Nunes, Piotr Ozarowski
 #
-# $Id: Makefile 674 2007-01-05 23:01:29Z piotrek $
+# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
 
 PACKAGE=griffith
 LANGUAGES=$(shell find i18n/ -maxdepth 1 -mindepth 1 -type d -not -name \.svn -printf "%f ")
@@ -65,6 +65,16 @@
 	$(INSTALL) -m 644 images/griffith.png $(ICONDIR)
 	$(INSTALL) -m 644 images/griffith.xpm $(ICONDIR)
 	$(INSTALL) -m 644 data/griffith.desktop $(APPLICATIONSDIR)
+	# SQLAlchemy
+	$(INSTALL) -m 755 -d $(LIBDIR)/sqlalchemy $(LIBDIR)/sqlalchemy/databases \
+		$(LIBDIR)/sqlalchemy/engine $(LIBDIR)/sqlalchemy/ext \
+		$(LIBDIR)/sqlalchemy/mods $(LIBDIR)/sqlalchemy/orm
+	$(INSTALL) -m 644 lib/sqlalchemy/*.py $(LIBDIR)/sqlalchemy/
+	$(INSTALL) -m 644 lib/sqlalchemy/databases/*.py $(LIBDIR)/sqlalchemy/databases/
+	$(INSTALL) -m 644 lib/sqlalchemy/engine/*.py $(LIBDIR)/sqlalchemy/engine/
+	$(INSTALL) -m 644 lib/sqlalchemy/ext/*.py $(LIBDIR)/sqlalchemy/ext/
+	$(INSTALL) -m 644 lib/sqlalchemy/mods/*.py $(LIBDIR)/sqlalchemy/mods/
+	$(INSTALL) -m 644 lib/sqlalchemy/orm/*.py $(LIBDIR)/sqlalchemy/orm/
 	
 	# installing language files
 	for lang in $(LANGUAGES); do \
