## griffith 0.9.7.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # (c) 2005-2008 Vasco Nunes, Piotr Ozarowski
 #
-# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
+# $Id: Makefile 908 2008-01-27 23:03:39Z piotrek $
 
 PACKAGE=griffith
 LANGUAGES=$(shell find i18n/ -maxdepth 1 -mindepth 1 -type d -not -name \.svn -printf "%f ")
