=== docs/Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
+# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
 LANGUAGES = en pl pt
+DOC2MAN ?= docbook2x-man
+
 .PHONY: man clean $(LANGUAGES)
