=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
+# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
 INSTALL ?= install
 
-PYFILES = ../griffith $(wildcard ../lib/*.py ../lib/plugins/movie/*.py ../lib/plugins/export/*.py) 
+PYFILES = ../griffith $(wildcard ../lib/*.py ../lib/plugins/movie/*.py ../lib/plugins/export/*.py ../lib/plugins/imp/*.py) 
 GLADEFILES = $(wildcard ../glade/*.glade)
 POFILES = $(wildcard *.po)
