## griffith 0.10

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # (c) 2005-2008 Vasco Nunes, Piotr Ozarowski
 #
-# $Id: Makefile 908 2008-01-27 23:03:39Z piotrek $
+# $Id: Makefile 1266 2009-07-12 21:44:31Z piotrek $
 
 PACKAGE=griffith
 LANGUAGES=$(shell find i18n/ -maxdepth 1 -mindepth 1 -type d -not -name \.svn -printf "%f ")
@@ -20,8 +20,9 @@
 FIND ?= find
 DOC2MAN ?= docbook2x-man
 
-PREFIX = $(DESTDIR)/usr
+PREFIX ?= $(DESTDIR)/usr
 BINDIR = $(PREFIX)/bin
+ETCDIR = $(DESTDIR)/etc
 DATADIR = $(PREFIX)/share/griffith
 LIBDIR = $(DATADIR)/lib
 IMAGESDIR = $(DATADIR)/images
@@ -34,6 +35,7 @@
 APPLICATIONSDIR = $(PREFIX)/share/applications
 ICONDIR = $(PREFIX)/share/pixmaps
 LOCALEDIR = $(PREFIX)/share/locale
+BASHCOMPDIR = $(ETCDIR)/bash_completion.d
 
 help:
 	@echo Usage:
@@ -50,11 +52,13 @@
 	@echo
 	@echo "installing Griffith"
 	@echo "^^^^^^^^^^^^^^^^^^^"
-	$(INSTALL) -m 755 -d $(BINDIR) $(DATADIR) $(LIBDIR) $(PLUGINSDIR) $(MOVIEPLUGINSDIR) \
-		$(EXPORTPLUGINSDIR) $(IMPORTPLUGINSDIR) $(FONTSDIR) $(APPLICATIONSDIR) \
-		$(ICONDIR) $(TPLDIR) $(IMAGESDIR) $(GLADEDIR)
+	$(INSTALL) -m 755 -d $(BINDIR) $(DATADIR) $(LIBDIR) $(LIBDIR)/db \
+		$(PLUGINSDIR) $(MOVIEPLUGINSDIR) $(EXPORTPLUGINSDIR) $(IMPORTPLUGINSDIR) \
+		$(FONTSDIR) $(APPLICATIONSDIR) $(ICONDIR) $(TPLDIR) \
+		$(IMAGESDIR) $(GLADEDIR) $(ETCDIR) $(BASHCOMPDIR)
 	$(INSTALL) -m 755 griffith $(LIBDIR)
 	$(INSTALL) -m 644 lib/*.py $(LIBDIR)
+	$(INSTALL) -m 644 lib/db/*.py $(LIBDIR)/db/
 	$(INSTALL) -m 644 lib/plugins/*.py $(PLUGINSDIR)
 	$(INSTALL) -m 644 lib/plugins/movie/*.py $(MOVIEPLUGINSDIR)
 	$(INSTALL) -m 644 lib/plugins/export/*.py $(EXPORTPLUGINSDIR)
@@ -65,16 +69,7 @@
 	$(INSTALL) -m 644 images/griffith.png $(ICONDIR)
 	$(INSTALL) -m 644 images/griffith.xpm $(ICONDIR)
 	$(INSTALL) -m 644 data/griffith.desktop $(APPLICATIONSDIR)
-	# SQLAlchemy
-	$(INSTALL) -m 755 -d $(LIBDIR)/sqlalchemy $(LIBDIR)/sqlalchemy/databases \
-		$(LIBDIR)/sqlalchemy/engine $(LIBDIR)/sqlalchemy/ext \
-		$(LIBDIR)/sqlalchemy/mods $(LIBDIR)/sqlalchemy/orm
-	$(INSTALL) -m 644 lib/sqlalchemy/*.py $(LIBDIR)/sqlalchemy/
-	$(INSTALL) -m 644 lib/sqlalchemy/databases/*.py $(LIBDIR)/sqlalchemy/databases/
-	$(INSTALL) -m 644 lib/sqlalchemy/engine/*.py $(LIBDIR)/sqlalchemy/engine/
-	$(INSTALL) -m 644 lib/sqlalchemy/ext/*.py $(LIBDIR)/sqlalchemy/ext/
-	$(INSTALL) -m 644 lib/sqlalchemy/mods/*.py $(LIBDIR)/sqlalchemy/mods/
-	$(INSTALL) -m 644 lib/sqlalchemy/orm/*.py $(LIBDIR)/sqlalchemy/orm/
+	$(INSTALL) -m 644 data/bash_completion $(BASHCOMPDIR)/griffith
 	
 	# installing language files
 	for lang in $(LANGUAGES); do \
@@ -114,6 +109,7 @@
 		${RM} -r $(LOCALEDIR)/$$lang/LC_MESSAGES/griffith.mo; \
 	done
 	${RM} -r $(BINDIR)/griffith
+	${RM} -r $(BASHCOMPDIR)/griffith
 	$(MAKE) -C docs uninstall
 	
 clean:
