=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
+# $Id: Makefile 547 2006-12-15 01:35:17Z piotrek $
 INSTALL ?= install
 
 PYFILES = ../griffith $(wildcard ../lib/*.py ../lib/plugins/movie/*.py ../lib/plugins/export/*.py ../lib/plugins/imp/*.py)
