## griffith 0.12.1

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 547 2006-12-15 01:35:17Z piotrek $
+# $Id: Makefile 1370 2010-01-04 21:02:39Z piotrek $
 INSTALL ?= install
 
 PYFILES = ../griffith $(wildcard ../lib/*.py ../lib/plugins/movie/*.py ../lib/plugins/export/*.py ../lib/plugins/imp/*.py) 
@@ -43,5 +43,6 @@
 	$(RM) $(GLADEHFILES)
 	$(RM) $(POFILES:%.po=../i18n/%/LC_MESSAGES/griffith.mo)
 	$(RM) messages.pot
+	$(RM) *~
 
 .PHONY: update dist
