=== debian/changelog ===
griffith (0.12.1-2) unstable; urgency=low

  * cherry-pick SQLAlchemy 0.7 compatibility from SVN repo
  * movie plugins updated to latest SVN version
  * VCS-* fields updated
  * preinst script removed (no need to clean after pycentral anymore)
  * Switch from dh_pysupport to dh_python2
  * Source format changed to 3.0 (quilt)
  * Add build-arch and build-indep targets
  * Bump Standards-Version to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 02 Aug 2011 20:42:17 +0200

griffith (0.12.1-1) unstable; urgency=low

  * New upstream release
    - fixes upgrades from 0.9.x
  * debian/watch file updated to track launchpad.net

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 18 Oct 2010 21:52:41 +0200

griffith (0.12-1) unstable; urgency=medium

  * New upstream release
    - compatible with SQLAlchemy 0.6 (closes: 590463)
  * Bump Standards-Version to 3.9.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 03 Oct 2010 20:44:33 +0200

griffith (0.11-1) unstable; urgency=low

  * New upstream release
  * Recommend python-gtkspell instead on python-gnome2-extras (closes: #541600)
  * Bump Standards-Version to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 09 Jan 2010 23:53:08 +0100

griffith (0.10-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 03 Aug 2009 22:27:02 +0200

griffith (0.10~rc1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.2 (no changes needed)
  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 12 Jul 2009 22:57:18 +0200

griffith (0.10~beta3-1) experimental; urgency=low

  * New upstream release
  * Update preinst script to handle 0.10~beta versions

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 11 Jun 2009 22:14:40 +0200

griffith (0.9.10-1) unstable; urgency=low

  * New upstream release
  * Convert to python-support
    + add preinst maintainer script to clean after pycentral
  * Add docbook2x to Build-Depend-Indep
  * Bump Standards-Version to 3.8.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 10 May 2009 21:43:22 +0200

griffith (0.10~beta2-1) experimental; urgency=low

  * New upstream release
  * Changes in dependencies:
    + SQLAlchemy minimum required version bumped to 0.5
    + pysqlite2 removed from alternative dependencies as python2.5 is now
      required
    + python-sqlite moved to Suggests
    + ipython added to Suggests (--shell option)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Feb 2009 21:08:30 +0100

griffith (0.9.9-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 27 Dec 2008 22:47:18 +0100

griffith (0.10~beta1-1) experimental; urgency=low

  * New upstream release
    + XS-Python-Version bumped to >=2.5

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 17 Nov 2008 22:20:53 +0100

griffith (0.9.8-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 16 Nov 2008 21:58:55 +0100

griffith (0.9.7.1-1) unstable; urgency=low

  * New upstream release
  * Homepage updated

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 26 Jul 2008 22:04:07 +0200

griffith (0.9.7-1) unstable; urgency=medium

  * New upstream release
  * debian/watch updated
  * Bump Standards-Version to 3.8.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 21 Jul 2008 19:10:08 +0200

griffith (0.9.6-2) unstable; urgency=low

  * Added patch for Python>=2.4's xml module compatibility (LP: #203161)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 22 Mar 2008 15:15:01 +0100

griffith (0.9.6-1) unstable; urgency=low

  * New upstream release
    + includes local copy of SQLAlchemy 0.3.11 (closes: #453736)
  * python-sqlalchemy dependency temporary removed
    (0.10 will require SQLAlchemy 0.4 so it closes: #443199)
  * Remove "XS-" prefix from Vcs-* fields (dpkg supports them now)
  * Add Homepage field
  * Bump Standards-Version to 3.7.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 27 Jan 2008 23:28:39 +0100

griffith (0.9.5-1) unstable; urgency=low

  * New upstream release 
  * debian/watch file updated
  * debian/menu file updated
  * Add python-sqlalchemy (<< 0.4~) to depends (Griffith doesn't work with SA
    0.4 for now)
  * python-sqlite package moved to Recommends

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 02 Sep 2007 23:56:26 +0200

griffith (0.9.4-1) unstable; urgency=low

  * New upstream release
  * Update XS-Vcs-* fields to point to debian dir

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 05 Aug 2007 20:21:23 +0200

griffith (0.9.3.1-1) unstable; urgency=low

  * New upstream release 

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 02 Jul 2007 19:32:15 +0200

griffith (0.9.3-1) unstable; urgency=low

  * New upstream release
  * Don't require python-pysqlite2 if Python 2.5 is the default Python version
    (sqlite3 module will be used if possible)
  * Changed my address to piotr@debian.org

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 30 Jun 2007 16:47:04 +0200

griffith (0.9.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Tue, 20 Feb 2007 17:01:26 +0100

griffith (0.9.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Mon, 12 Feb 2007 21:30:40 +0100

griffith (0.9-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Fri, 26 Jan 2007 19:49:36 +0100

griffith (0.9~rc3-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Tue,  9 Jan 2007 23:17:41 +0100

griffith (0.9~rc2-1) unstable; urgency=low

  * New upstream release
  * debian/copyright and debian/watch files updated

 -- Piotr Ozarowski <ozarow@gmail.com>  Mon,  8 Jan 2007 00:04:41 +0100

griffith (0.9~rc1-1) experimental; urgency=low

  * New upstream release
  * Dependencies updated (python-sqlite is still in Depends: to make the
    upgrade process smooth)

