=== debian/control ===
Source: griffith
Section: gnome
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: python (>= 2.6.3-3), docbook2x
Standards-Version: 3.9.2
XS-Python-Version: >=2.5
Vcs-Svn: svn://svn.berlios.de/griffith/trunk/
Vcs-Browser: http://svn.berlios.de/wsvn/griffith/trunk/
Homepage: http://www.griffith.cc/

Package: griffith
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends},
 python-sqlalchemy (>= 0.5),
 python-gtk2 (>= 2.8.6-1),
 python-glade2 (>= 2.8.6-1),
 python-reportlab (>= 1.20debian-6),
 python-imaging (>= 1.1.5-6)
Recommends: python-gtkspell,
 python-chardet,
 python-psycopg2 (>= 1.1.21-6),
 python-mysqldb (>= 1.2.1-p2-2)
Suggests: griffith-extra-artwork (>= 0.9),
 python-sqlite,
 ipython
Description: film collection manager
 Adding items to the movie collection is as quick and easy as typing the film
 title and selecting a supported source. Griffith will then try to fetch all
 the related information from the Web.
