## griffith 0.13

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Griffith makefile
 #
-# (c) 2005-2008 Vasco Nunes, Piotr Ozarowski
+# (c) 2005-2009 Vasco Nunes, Piotr Ozarowski
 #
-# $Id: Makefile 1266 2009-07-12 21:44:31Z piotrek $
+# $Id: Makefile 1372 2010-01-04 21:20:40Z piotrek $
 
 PACKAGE=griffith
 LANGUAGES=$(shell find i18n/ -maxdepth 1 -mindepth 1 -type d -not -name \.svn -printf "%f ")
-VERSION=$(shell grep "^pversion" lib/version.py | cut -d \"  -f 2)
+VERSION=$(shell grep "^pversion" lib/version.py | cut -d \'  -f 2)
 TEMPLATES= $(shell cd export_templates >/dev/null; $(FIND) . -maxdepth 1 -mindepth 1 -type d -name "[^\.svn]*" -print)
 
-.PHONY: help clean freshmeat gnomefiles install
+.PHONY: help clean install
 
 INSTALL ?= install
 MAKE ?= make
@@ -31,6 +31,7 @@
 MOVIEPLUGINSDIR = $(PLUGINSDIR)/movie
 EXPORTPLUGINSDIR = $(PLUGINSDIR)/export
 IMPORTPLUGINSDIR = $(PLUGINSDIR)/imp
+EXTENSIONSPLUGINSDIR = $(PLUGINSDIR)/extensions
 TPLDIR = $(DATADIR)/export_templates
 APPLICATIONSDIR = $(PREFIX)/share/applications
 ICONDIR = $(PREFIX)/share/pixmaps
@@ -46,14 +47,14 @@
 	@echo "make help	- prints this help"
 	@echo "make dist	- makes a distribution tarball"
 	@echo
-	
+
 
 install:
 	@echo
 	@echo "installing Griffith"
 	@echo "^^^^^^^^^^^^^^^^^^^"
 	$(INSTALL) -m 755 -d $(BINDIR) $(DATADIR) $(LIBDIR) $(LIBDIR)/db \
-		$(PLUGINSDIR) $(MOVIEPLUGINSDIR) $(EXPORTPLUGINSDIR) $(IMPORTPLUGINSDIR) \
+		$(PLUGINSDIR) $(MOVIEPLUGINSDIR) $(EXPORTPLUGINSDIR) $(IMPORTPLUGINSDIR) $(EXTENSIONSPLUGINSDIR) \
 		$(FONTSDIR) $(APPLICATIONSDIR) $(ICONDIR) $(TPLDIR) \
 		$(IMAGESDIR) $(GLADEDIR) $(ETCDIR) $(BASHCOMPDIR)
 	$(INSTALL) -m 755 griffith $(LIBDIR)
@@ -63,6 +64,7 @@
 	$(INSTALL) -m 644 lib/plugins/movie/*.py $(MOVIEPLUGINSDIR)
 	$(INSTALL) -m 644 lib/plugins/export/*.py $(EXPORTPLUGINSDIR)
 	$(INSTALL) -m 644 lib/plugins/imp/*.py $(IMPORTPLUGINSDIR)
+	$(INSTALL) -m 644 lib/plugins/extensions/*.py $(EXTENSIONSPLUGINSDIR)
 	$(INSTALL) -m 644 glade/*.glade $(GLADEDIR)
 	$(INSTALL) -m 644 glade/*.png $(GLADEDIR)
 	$(INSTALL) -m 644 images/*.png $(IMAGESDIR)
@@ -89,7 +91,7 @@
 	ln -s $(LIBDIR)/griffith $(BINDIR)/griffith
 	chmod +x $(BINDIR)/griffith
 	$(MAKE) -C docs install
-	
+
 uninstall:
 	@echo
 	@echo "uninstalling Griffith"
@@ -97,6 +99,8 @@
 	${RM} -r $(TPLDIR)
 	${RM} -r $(MOVIEPLUGINSDIR)
 	${RM} -r $(EXPORTPLUGINSDIR)
+	${RM} -r $(IMPORTPLUGINSDIR)
+	${RM} -r $(EXTENSIONSPLUGINSDIR)
 	${RM} -r $(PLUGINSDIR)
 	${RM} -r $(LIBDIR)
 	${RM} -r $(IMAGESDIR)
@@ -111,16 +115,10 @@
 	${RM} -r $(BINDIR)/griffith
 	${RM} -r $(BASHCOMPDIR)/griffith
 	$(MAKE) -C docs uninstall
-	
+
 clean:
 	${FIND} . \( -iname '*\.py[co]' -or -iname '*~' -or -iname '*\.bak' \) -exec ${RM} '{}' \;
-	
-freshmeat:
-	firefox http://freshmeat.net/add-release/54772/ &
 
-gnomefiles:
-	firefox http://www.gnomefiles.org/devs/newversion.php?soft_id=965 &
-	
 dist: clean
 	@tar --exclude=*.svn* --exclude=*.tar* --exclude=debian -cf griffith.tar ./
 	@mkdir $(PACKAGE)-$(VERSION)
@@ -129,5 +127,3 @@
 	@tar -czf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION) && echo File ./$(PACKAGE)-$(VERSION).tar.gz generated successfully
 	@${RM} -r $(PACKAGE)-$(VERSION)
 
-lint:
-	pylint --enable-basic=n --indent-string='\t' griffith lib/*.py
