=== docs/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
+# $Id: Makefile 638 2006-12-31 23:55:38Z piotrek $
 LANGUAGES = en pl pt
 DOC2MAN ?= docbook2x-man
