=== po/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# $Id: Makefile 1370 2010-01-04 21:02:39Z piotrek $
+# $Id: Makefile 1603 2011-12-18 19:43:30Z piotrek $
 INSTALL ?= install
 
-PYFILES = ../griffith $(wildcard ../lib/*.py ../lib/plugins/movie/*.py ../lib/plugins/export/*.py ../lib/plugins/imp/*.py) 
+PYFILES = ../griffith $(wildcard ../lib/*.py ../lib/db/*.py ../lib/plugins/movie/*.py ../lib/plugins/export/*.py ../lib/plugins/imp/*.py) 
 GLADEFILES = $(wildcard ../glade/*.glade)
 POFILES = $(wildcard *.po)
 
@@ -28,7 +28,7 @@
 		msginit -l $*.UTF8 -o $@; \
 	fi
 
-%.mo:
+%.mo: %.po
 	for pofile in $(patsubst ../i18n/%/LC_MESSAGES/griffith.mo,%.po,$@); do \
 		${INSTALL} -m 755 -d $(subst griffith.mo,,$@);\
 		msgconv -t UTF-8 $${pofile} -o $${pofile}_utf8;\
