=== docs/pt/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
+# $Id: Makefile 686 2007-01-07 22:36:07Z piotrek $
 .PHONY: all man
 MANPAGES= griffith.1
