=== debian/changelog ===
griffith (0.13-3) unstable; urgency=low

  * Update patch from -2 to not show scary errors when restore window is
    closed while selecting backup file

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 04 Apr 2013 23:07:08 +0200

griffith (0.13-2) unstable; urgency=low

  * Fix restore function

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 23 Mar 2013 22:22:22 +0100

griffith (0.13-1) unstable; urgency=low

  * New upstream release
  * VCS-* fields removed (berlios will be shutdown)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 18 Dec 2011 21:15:25 +0100
