=== debian/control ===
--- 
+++ 
@@ -5,9 +5,7 @@
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: python (>= 2.6.3-3), docbook2x
 Standards-Version: 3.9.2
-XS-Python-Version: >=2.5
-Vcs-Svn: svn://svn.berlios.de/griffith/trunk/
-Vcs-Browser: http://svn.berlios.de/wsvn/griffith/trunk/
+X-Python-Version: >= 2.5
 Homepage: http://www.griffith.cc/
 
 Package: griffith
@@ -21,6 +19,7 @@
  python-imaging (>= 1.1.5-6)
 Recommends: python-gtkspell,
  python-chardet,
+ python-lxml,
  python-psycopg2 (>= 1.1.21-6),
  python-mysqldb (>= 1.2.1-p2-2)
 Suggests: griffith-extra-artwork (>= 0.9),
