=== debian/watch ===
version=3
https://launchpad.net/griffith/+download \
http://launchpad.net/griffith/trunk/.*/\+download/griffith-(\d.*)\.tar\.xz
