## griffith 0.13+20140313

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # (c) 2005-2009 Vasco Nunes, Piotr Ozarowski
 #
-# $Id: Makefile 1372 2010-01-04 21:20:40Z piotrek $
+# $Id$
 
 PACKAGE=griffith
 LANGUAGES=$(shell find i18n/ -maxdepth 1 -mindepth 1 -type d -not -name \.svn -printf "%f ")
