=== docs/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 638 2006-12-31 23:55:38Z piotrek $
+# $Id$
 LANGUAGES = en pl pt
 DOC2MAN ?= docbook2x-man
