=== docs/pt/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 686 2007-01-07 22:36:07Z piotrek $
+# $Id$
 .PHONY: all man
 MANPAGES= griffith.1
