=== debian/changelog ===
griffith (0.13+20140313-1) unstable; urgency=medium

  * New upstream snapshot
    - works with SQLAlchemy 0.8 (closes: 719685)
  * Add dh-python to Build-Depends to use newer dh_python2
  * debian/watch file updated
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 23 Oct 2014 22:01:18 +0200
