=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 5)
-Build-Depends-Indep: python (>= 2.6.3-3), docbook2x
-Standards-Version: 3.9.2
+Build-Depends-Indep: python (>= 2.6.3-3), docbook2x, dh-python
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 Homepage: http://www.griffith.cc/
