=== debian/watch ===
version=3
https://launchpad.net/griffith/ .*/griffith-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
